import axiosApi from './AxiosApi.js'

const apiList = {
  getTenants: `/tenant/page`,
  addTenant: `/tenant`,
  editTenant: `/tenant`
}
export default {
  getAllTenant(data) {
    return axiosApi({
      method: 'POST',
      url: apiList.getTenants,
      data
    })
  },
  addTenant(data) {
    return axiosApi({
      method: 'POST',
      url: apiList.addTenant,
      data
    })
  },
  editTenant(data) {
    return axiosApi({
      method: 'PUT',
      url: apiList.editTenant,
      data
    })
  }
}
